Bug 319313 - Select KDE accounts file 'text field' overflows
Summary: Select KDE accounts file 'text field' overflows
Status: RESOLVED FIXED
Alias: None
Product: kontact
Classification: Unclassified
Component: contacts (show other bugs)
Version: 4.10.2
Platform: Other Linux
: NOR minor (vote)
Target Milestone: ---
Assignee: Tobias Koenig
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-04 13:54 UTC by Martin Holec
Modified: 2013-10-07 11:13 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.11.3


Attachments
Select KDE accounts file (76.35 KB, image/png)
2013-05-04 13:54 UTC, Martin Holec
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Holec 2013-05-04 13:54:10 UTC
Image is better than thousand words, see screenshot.

Reproducible: Always

Steps to Reproduce:
1. Add new contact from KMail.
2. Create new address book - KDE accounts.
Actual Results:  
Test description is too long, it doesn't fit into text fields.
Maximize window is a workaround.

Expected Results:  
1. Fix "text fields widget" to scale properly with a lot of text.
2. Rewrite text descriptions in "Select KDE accounts file" to make it shorter.
3. Use "Help"/"?" context help "bubbles" in "Select KDE accounts file" rather than text fields.
Comment 1 Martin Holec 2013-05-04 13:54:32 UTC
Created attachment 79703 [details]
Select KDE accounts file
Comment 2 Laurent Montel 2013-05-04 15:07:43 UTC
Will look at how to fix it.
Regards
Comment 3 Laurent Montel 2013-10-07 11:13:12 UTC
Git commit dd160bb90c4c118eeabb8357155c3dc692166288 by Montel Laurent.
Committed on 07/10/2013 at 11:12.
Pushed by mlaurent into branch 'KDE/4.11'.

Fix Bug 319313 - Select KDE accounts file 'text field' overflows

FIXED-IN: 4.11.3

M  +2    -1    resources/shared/singlefileresourceconfigdialogbase.cpp

http://commits.kde.org/kdepim-runtime/dd160bb90c4c118eeabb8357155c3dc692166288